Package edu.claflin.finder.algo.clustering.struct.infomap_struct

# Class MapEquation

java.lang.Object
edu.claflin.finder.algo.clustering.struct.infomap_struct.MapEquation

public class MapEquation extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapEquation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `longSigmaNotation(ArrayList<Double> q, int m, List<List<Node>> communities, ArrayList<ArrayList<Double>> pProb)`
  `double`
  `LongSigmaWiyAndWi(int m, ArrayList<Double> wy, List<List<Node>> communities, ArrayList<ArrayList<Double>> wi)`
  `double`
  `sigmaNotationPa(ArrayList<Double> p, int n)`
  `double`
  `sigmaNotationPaLogPa(ArrayList<Double> p, int n)`
  `double`
  `sigmaNotationQi(ArrayList<Double> q, int m)`
  `double`
  `sigmaNotationQiLogQi(ArrayList<Double> q, int m)`
  `double`
  `SigmaNotationWiyLogWiy(int m, ArrayList<Double> wy)`
  `double`
  `SigmaWaLogWa(int n, ArrayList<Double> w)`
  `double`
  `SigmaWyLogSigmaWy(int m, ArrayList<Double> wy)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapEquation

    public MapEquation()

- ## Method Details

  - ### sigmaNotationQi

    public double sigmaNotationQi(ArrayList<Double> q, int m)

  - ### sigmaNotationQiLogQi

    public double sigmaNotationQiLogQi(ArrayList<Double> q, int m)

  - ### sigmaNotationPaLogPa

    public double sigmaNotationPaLogPa(ArrayList<Double> p, int n)

  - ### sigmaNotationPa

    public double sigmaNotationPa(ArrayList<Double> p, int n)

  - ### longSigmaNotation

    public double longSigmaNotation(ArrayList<Double> q, int m, List<List<Node>> communities, ArrayList<ArrayList<Double>> pProb)

  - ### SigmaWyLogSigmaWy

    public double SigmaWyLogSigmaWy(int m, ArrayList<Double> wy)

  - ### SigmaNotationWiyLogWiy

    public double SigmaNotationWiyLogWiy(int m, ArrayList<Double> wy)

  - ### SigmaWaLogWa

    public double SigmaWaLogWa(int n, ArrayList<Double> w)

  - ### LongSigmaWiyAndWi

    public double LongSigmaWiyAndWi(int m, ArrayList<Double> wy, List<List<Node>> communities, ArrayList<ArrayList<Double>> wi)